From e93734170303080330cda549d8f547496c8f5048 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Fri, 2 Feb 2024 14:36:27 +0800
Subject: [PATCH] sys.cpp: use clock_gettime on macOS when supported

---
 src/occa/internal/utils/sys.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git src/occa/internal/utils/sys.cpp src/occa/internal/utils/sys.cpp
index e1e3722b..dbaf3212 100644
--- src/occa/internal/utils/sys.cpp
+++ src/occa/internal/utils/sys.cpp
@@ -21,7 +21,7 @@
 #  else // OCCA_MACOS_OS
 #    include <AvailabilityMacros.h>
 #    include <mach/mach_host.h>
-#    ifdef __clang__
+#    if MAC_OS_X_VERSION_MIN_REQUIRED >= 101200
 #      include <CoreServices/CoreServices.h>
 #      include <mach/mach_time.h>
 #    else
@@ -83,7 +83,7 @@ namespace occa {
 
       return (double) (ct.tv_sec + (1.0e-9 * ct.tv_nsec));
 #elif (OCCA_OS == OCCA_MACOS_OS)
-#  if defined __clang__ && defined CLOCK_UPTIME_RAW
+#  if MAC_OS_X_VERSION_MIN_REQUIRED >= 101200
       uint64_t nanoseconds = clock_gettime_nsec_np(CLOCK_UPTIME_RAW);
 
       return 1.0e-9 * nanoseconds;
